# BaseEditMessageUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update.abstracts / BaseEditMessageUpdate

# BaseEditMessageUpdate

(common) `interface BaseEditMessageUpdate : BaseMessageUpdate` (source)

### Properties

(common)

#### data

`abstract val data: CommonMessage<*>`

### Inheritors

(common)

#### EditChannelPostUpdate

`data class EditChannelPostUpdate : BaseEditMessageUpdate`

(common)

#### EditMediaGroupUpdate

`interface EditMediaGroupUpdate : BaseEditMessageUpdate, MediaGroupUpdate`

(common)

#### EditMessageUpdate

`data class EditMessageUpdate : BaseEditMessageUpdate`